Subject: Re: bug#62752: html-ts-mode: treesit--simple-indent-eval: Wrong number of arguments: #<subr point-min>, 3

From: Dmitry Gutov <[email-masked]>
Date: Tue, 11 Apr 2023 00:24:54 +0300

Hi!

Thanks for the report.

On 10/04/2023 17:32, Vincenzo Pupillo wrote:
> Hi,
> I found a bug in html-ts-mode.
> If you try to indent this simple html snippet (after enabling html-ts mode)
> and try to indent, say, the first or second line, emacs reports the following
> error:
> Matched rule: ((parent-is "fragment") point-min 0)
> treesit--simple-indent-eval: Wrong number of arguments: #<subr point-min>, 3
> 
> Using parent-bol instead of point-min solves the problem.
> 
> GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.37, cairo
> version 1.17.6) of 2023-04-09

I think the indention here was to use 'column-0', though. The mode was 
just missed in the update in commit 4c16fd3a51286e1b1.

The practical difference is minimal, but still.

I've pushed this change to master; closing. Let us know if something's 
still amiss, though.